<?php

/*******************************************
 *                                         *
 *     Filmverwaltung mit PHP & MySQL      *
 *                                         *
 *******************************************
 *                                         *
 * Copyright: ab 2005 Dominik Erdmann      *
 *  Internet: www.der-domi.de              *
 *     Email: kontakt@der-domi.de          *
 *                                         *
 *******************************************
 *                                         *
 * Das Skript darf nach eigenem Belieben   *
 * gendert werden. Copyright-Hinweise und *
 * Links auf www.der-domi.de drfen nicht  *
 * verndert werden und mssen jederzeit   *
 * sichtbar bleiben!                       *
 *                                         *
 *******************************************
 */

/*
 * Falls einfgen oder ndern eines Film
 */


if ( $_SESSION['UserRechte'] < 600 )
    exit();

if ( $myVar->MenuID == 598 && $_SESSION['UserRechte'] > 300 )
{
    // wenn nicht einfgen, dann Werte holen
    if ( $myVar->printChange == TRUE && !count( $myVar->warnung ) )
    {
        // Filmdaten holen
        $sql = "SELECT * FROM $myDB->FILME WHERE FilmID = $myVar->FilmID";
        $rs = $myDB->go($sql);
        $row = $myDB->getRow($rs);

        // Regisseur holen
        $Regisseure = getName ( 'Regisseure', $myVar->FilmID, $myDB, $settings );
        // Schauspieler holen
        $Actors = getName ( 'Actors', $myVar->FilmID, $myDB, $settings );
    }

    // wenn Fehler beim Einfgen, dann Werte wieder setzen
    elseif ( count ( $myVar->warnung ) )
    {
        $row['Titel'] = $_REQUEST['Titel'];
        $row['Originaltitel'] = $_REQUEST['Originaltitel'];
        $row['myFilmID'] = $_REQUEST['setMyFilmID'];
        $row['COLLECT_CollectID'] = $_REQUEST['setCollectID'];
        $row['FORMATE_FormatID'] = $_REQUEST['setFormatID'];
        $row['brauchtPrivileg'] = $_REQUEST['brauchtPrivileg'];
        $row['Jahr'] = $_REQUEST['Jahr'];
        $row['Land'] = $_REQUEST['Land'];
        $row['Laufzeit'] = $_REQUEST['Laufzeit'];
        $row['FSK'] = $_REQUEST['FSK'];
        if (  array_key_exists( 'FSKunbekannt', $_REQUEST ) )
            $row['FSKunbekannt'] = $_REQUEST['FSKunbekannt'];
        $row['Inhalt'] = urldecode($_REQUEST['Inhalt']);
        $row['Bemerkung'] = $_REQUEST['Bemerkung'];
        $row['Webseite'] = $_REQUEST['Webseite'];
        $Regisseure = $_REQUEST['Regisseure'];
        $Actors = $_REQUEST['Actors'];
    }
    else
    {
    	$row = array();
    	$Regisseure = "";
    	$Actors = "";
    }

    echo "<h4 style=\"margin-top:0\">Import Funktionen</h4>";
    $import->printSearch( $myVar );
    $import->printImportID( $myVar );

    if ( isset($_GET['searchText']) ) {

        echo $import->{strtolower($import->importTypes[$_GET['importDB']])."search"}();
    }

    if ( isset($_GET['importID']) ) {

        echo $import->{strtolower($import->importTypes[$_GET['importDB']])."import"}();

        if ( $ret != -1 ) {

            /*
            echo "<pre>";
            print_r($import->varToImport);
            echo "</pre>";
            */

            $row['Titel'] = $import->getData('title');
            $row['Originaltitel'] = $import->getData('original_title');
            $row['Land'] = $import->getData('land');
            $row['Jahr'] = $import->getData('year');
            $row['Laufzeit'] = $import->getData('laufzeit');
            $row['FSK'] = $import->getData('fsk');
            if ( $row['FSK'] == "" )
                $row['FSKunbekannt'] = 1;
            $row['CoverURL'] = $import->getData('cover');
            $row['Webseite'] = $import->getData('url');
            $row['Inhalt'] = $import->getData('inhalt');
            $Regisseure = $import->getData('regisseure');
            $Actors = $import->getData('actors');

            $additional_data = array();

            $data = $import->getData('genres');
            if ( strlen($data) ) {

                $additional_data[]['name'] = "Genres";
                $additional_data[count($additional_data)-1]['data'] = $data;
            }

            $data = $import->getData('versions');
            if ( strlen($data) ) {

                $additional_data[]['name'] = "Versionen (Fassungen)";
                $additional_data[count($additional_data)-1]['data'] = $data;
            }

            for ( $i=0; $i<count($additional_data); ++$i ) {

                if ( $i==0 )
                    echo "<h4>Informationen, welche nicht automatisch eingef&uuml;gt werden k&ouml;nnen:</h4>";

                echo "<p style=\"margin:1em 0 0 0;font-weight:bold\">{$additional_data[$i]['name']}:</p>";
                echo "<p style=\"margin:0 0 1em 0\">{$additional_data[$i]['data']}</p>";
            }

            echo "<p><a href=\"". $import->getLinkToDB( $_GET['importID'] ) ."\">Referenz: ".$_GET['importID']."</a></p>";

        }
    }

    if ( isset($_GET['importDB']) && isset($_GET['searchText']) )
        $import->printSearchResult($myVar);

    echo "<hr />";

    echo "<form method=\"post\" enctype=\"multipart/form-data\" action=\"{$_SERVER['PHP_SELF']}\">";
    echo "<div id=\"genres_covers\">";
    echo "<p style=\"margin:0 0 0.2em 0\"><strong>Genres ausw&auml;hlen</strong></p>";

    // Genres ausgeben

    $sql2 = "SELECT * FROM $myDB->GENRES";
    if ( $_SESSION['UserRechte'] == 600 )
        $sql2 .= " WHERE brauchtPrivileg<=".$_SESSION['GenrePrivileg'];
    $sql2 .= " ORDER BY Name";
    $rs2 = $myDB->go($sql2);
    while ( $row2 = $myDB->getRow($rs2) )
    {
        echo "<input class=\"checkbox\" type=\"checkbox\" name=\"Genre[]\" value=\"{$row2['GenreID']}\"";

        if ( $myVar->printChange == TRUE )
        {   /* checked nur, wenn geaendert wird */
            $sql3 = "SELECT COUNT(*) AS Anz FROM $myDB->FILME_GENRES WHERE FILME_FilmID = $myVar->FilmID AND GENRES_GenreID = {$row2['GenreID']}";
            $rs3 = $myDB->go($sql3);
            $row3 = $myDB->getRow($rs3);
            if ( $row3['Anz'] > 0 || $import->isGenre( $row2['Name'] ) )
                echo ' checked="checked"';
        }
        elseif ( $import->isGenre( $row2['Name'] ) )
            echo ' checked="checked"';

        echo " /> {$row2['Name']}<br />";
    }

    // Bild ausgeben, wenn es gespeichert ist
    if ( $myVar->printChange == TRUE )
    {
        $sql2 = "SELECT * FROM $myDB->COVERS WHERE FILME_FilmID=$myVar->FilmID ORDER BY Rang ASC";
        $rs2 = $myDB->go($sql2);
        while ( $row2 = $myDB->getRow($rs2) )
        {
            echo "<div style=\"margin-top:1em\">";
            $bild = "$cover_dir/{$row2['FILME_FilmID']}_{$row2['Rang']}_{$row2['Appendix']}.{$row2['Extension']}";
            $bildInfo = @getimagesize($bild);
            $bildInfo[0] = $bildInfo[0] + 50;
            $bildInfo[1] = $bildInfo[1] + 70;

            $vars = array();
            $vars['MenuID'] = 289;
            $vars = $myVar->getRequest($vars);

            echo "<a href=\"{$_SERVER['PHP_SELF']}?{$vars}Rang={$row2['Rang']}\" target=\"cover\" onclick=\"window.open('', 'cover', 'Height={$bildInfo[1]},Width={$bildInfo[0]},screenX=550,screenY=100,location=no,menubar=no,status=no,toolbar=no,scrollbars=yes')\"><img style=\"border:none; width:8em\" src=\"$bild\" alt=\"cover\" /></a>";
            echo "<p style=\"margin:0 0 0 1.5em; font-size:0.9em\"><a href=\"{$_SERVER['PHP_SELF']}?MenuID=592&amp;FilmID=$myVar->FilmID&amp;Rang={$row2['Rang']}\">Bild l&ouml;schen</a></p>";
            echo "</div>";
        }
    }
    echo "<!-- /div id=\"genres_covers\" --></div>";


    echo "<table class=\"insertFilm\">";
    echo "<tr>";
    echo "<td class=\"description\">Filmtitel</td>";
    echo "<td><input type=\"text\" name=\"Titel\" value=\"";
    if (  array_key_exists( 'Titel', $row ) )
		echo $row['Titel'];
	echo "\" /></td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td class=\"description\">Originaltitel</td>";
    echo "<td><input type=\"text\" name=\"Originaltitel\" value=\"";
    if (  array_key_exists( 'Originaltitel', $row ) )
		echo $row['Originaltitel'];
	echo "\" /></td>";
    echo "</tr>";

    // ist Topfilm?
    echo "<tr>";
    echo "<td class=\"description\">Topfilm</td>";
    echo "<td><input class=\"checkbox\" style=\"width:1em\" type=\"checkbox\" name=\"istTopfilm\" value=\"1\"";
    if ( $myVar->printChange == TRUE && $row['istTopfilm'] )
        echo ' checked="checked"';
    echo " /></td>";
    echo "</tr>";


    // Formatauswahl
    echo "<tr>";
    echo "<td class=\"description\">Format</td>";
    echo "<td>";
    echo "<select style=\"margin: 0; padding: 0; vertical-align:middle\" name=\"setFormatID\">";
    $sql5 = "SELECT * FROM $myDB->FORMATE";
    if ( $_SESSION['UserRechte'] == 600 )
        $sql5 .= " WHERE brauchtPrivileg<=".$_SESSION['FormatPrivileg'];
    $sql5 .= " ORDER BY Bezeichnung";
    $rs5 = $myDB->go($sql5);
    while( $row5 = $myDB->getRow($rs5) )
        if ( $myVar->printChange == FALSE )
            if ( $row5['istStandard'] == 0 )
                echo "<option value=\"{$row5['FormatID']}\">{$row5['Bezeichnung']}</option>";
            else
                echo "<option value=\"{$row5['FormatID']}\" selected=\"selected\" style=\"font-weight:bold\">{$row5['Bezeichnung']}</option>";
        else
            if ( $row5['FormatID'] != $row['FORMATE_FormatID'] )
                echo "<option value=\"{$row5['FormatID']}\">{$row5['Bezeichnung']}</option>";
            else
                echo "<option value=\"{$row5['FormatID']}\" selected=\"selected\" style=\"font-weight:bold\">{$row5['Bezeichnung']}</option>";
    echo "</select>";

    echo "</td>";
    echo "</tr>";


    // Collectauswahl
    echo "<tr>";
    echo "<td class=\"description\">Kollektion</td>";
    echo "<td>";
    echo "<select style=\"margin: 0; padding: 0; vertical-align:middle\" name=\"setCollectID\">";
    $sql5 = "SELECT * FROM $myDB->COLLECT";
    if ( $_SESSION['UserRechte'] == 600 )
        $sql5 .= " WHERE brauchtPrivileg<=".$_SESSION['CollectPrivileg'];
    $sql5 .= " ORDER BY Bezeichnung";
    $rs5 = $myDB->go($sql5);
    while( $row5 = $myDB->getRow($rs5) )
        if ( $myVar->printChange == FALSE )
            if ( $row5['istStandard'] == 0 )
                echo "<option value=\"{$row5['CollectID']}\">{$row5['Bezeichnung']}</option>";
            else
                echo "<option value=\"{$row5['CollectID']}\" selected=\"selected\" style=\"font-weight:bold\">{$row5['Bezeichnung']}</option>";
        else
            if ( $row5['CollectID'] != $row['COLLECT_CollectID'] )
                echo "<option value=\"{$row5['CollectID']}\">{$row5['Bezeichnung']}</option>";
            else
                echo "<option value=\"{$row5['CollectID']}\" selected=\"selected\" style=\"font-weight:bold\">{$row5['Bezeichnung']}</option>";
    echo "</select>";

    echo "</td>";
    echo "</tr>";

    // myFilmID darf gendert werden
    echo "<tr>";
    echo "<td class=\"description\">FilmID</td>";
    echo "<td><input style=\"width: 6.0em\" type=\"text\" name=\"setMyFilmID\" value=\"";
    if (  array_key_exists( 'myFilmID', $row ) )
		echo getAnzStellenID($row['myFilmID'], $settings);//$row['Titel'];
	echo "\" /><span style=\"font-size:0.9em\">automatisch: leer lassen (OHNE CollectID)</span></td>";
    echo "</tr>";


    // DiscID festlegen
    if ( $myVar->printChange != TRUE )
    {
    	$DiscID = "";
        // wenn Formular gesendet, dann Werte herstellen
        if ( count($myVar->warnung) )
        {
            $SendAnzDisks = $_POST['anzDisks'];
            if (  array_key_exists( 'DiscID', $_POST ) )
                $DiscID = $_POST['DiscID'];
            else
                $DiscID = "";
            if ( $_POST['discs'] == 1 )
            {
                $InsChk = "checked=\"checked\"";
                $AddChk = "";
            }
            else
            {
                $InsChk = "";
                $AddChk = "checked=\"checked\"";
            }
        }
        else
        {
            $SendAnzDisks = 1;
            $InsChk = "checked=\"checked\"";
            $AddChk = "";
        }

        echo "<tr>";
        echo "<td class=\"description\">Disks</td>";
        echo "<td>";
        echo "<input style=\"width:1em; margin-right:0.5em; vertical-align:middle;\" type=\"radio\" name=\"discs\" value=\"1\" $InsChk />";
        echo "<input style=\"width:2em\" type=\"text\" name=\"anzDisks\" value=\"$SendAnzDisks\" maxlength=\"2\" /><span style=\"font-size:0.9em\"> neue Disk(s) (Anzahl der Disks)</span>";
        echo "<br />";
        echo "<input style=\"width:1em; margin-right:0.5em; vertical-align:middle;\" type=\"radio\" name=\"discs\" value=\"2\" $AddChk />";
        echo "<input style=\"width:3em\" type=\"text\" name=\"DiscID\" value=\"$DiscID\" /><span style=\"font-size:0.9em\"> dieser Disk zuordnen (z.B. 154; OHNE CollectID)</span>";
        echo "</td>";
        echo "</tr>";
    }
    else // wenn Film ndern, werden nur DiscID's angezeigt
    {
        echo "<tr>";
        echo "<td class=\"description\">DiskID(s)</td>";
        echo "<td>".getDiscID( $myVar->FilmID, $myDB, $settings )."</td>";
        echo "</tr>";
    }


    // Nur Superadmin hat das Recht, Privileg zu setzen!
    if ( $_SESSION['UserRechte'] == 900 )
    {
        echo "<tr>";
        echo "<td class=\"description\">Privileg</td>";
        echo "<td><input style=\"width: 3.1em\" type=\"text\" name=\"brauchtPrivileg\" maxlength=\"2\" value=\"";
	    if (  array_key_exists( 'brauchtPrivileg', $row ) )
			echo $row['brauchtPrivileg'];
		echo "\" /><span style=\"font-size:0.9em\">Dieses Privileg wird vom Benutzer vorausgesetzt.</span></td>";
        echo "</tr>";
    }
    echo "<tr>";
    echo "<td class=\"description\">Land</td>";
    echo "<td><input type=\"text\" name=\"Land\" value=\"";
    if (  array_key_exists( 'Land', $row ) )
		echo $row['Land'];
	echo "\" /></td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td class=\"description\">Jahr</td>";
    echo "<td><input style=\"width: 3.1em\" type=\"text\" name=\"Jahr\" maxlength=\"4\" value=\"";
    if (  array_key_exists( 'Jahr', $row ) )
		echo $row['Jahr'];
	echo "\" /></td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td class=\"description\">Schauspieler</td>";
    echo "<td><input type=\"text\" name=\"Actors\" value=\"{$Actors}\" /></td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td class=\"description\">Regisseur</td>";
    echo "<td><input type=\"text\" name=\"Regisseure\" value=\"{$Regisseure}\" /></td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td class=\"description\">Laufzeit</td>";
    echo "<td><input style=\"width: 3.1em\" type=\"text\" name=\"Laufzeit\" value=\"";
    if (  array_key_exists( 'Laufzeit', $row ) )
		echo $row['Laufzeit'];
	echo "\" maxlength=\"4\" /> min</td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td class=\"description\">FSK</td>";
    echo "<td>";
    echo "<select size=\"1\" name=\"FSK\">";

    // nicht schn, aber fr den Zweck ausreichend
    // alle verschiedenen FSK werden in ein Array geschrieben und dann ausgegeben
    // maxFSK beachten!
    $FSK = array(0, 6, 12, 16, 18);
    if (  !array_key_exists( 'FSK', $row ) )
    	$row['FSK'] = 0;
    for ( $i = 0; $i < count($FSK) && $FSK[$i] <= $_SESSION['maxFSK'] ; ++$i)
    {
        echo "<option value=\"{$FSK[$i]}\"";
        if ( $FSK[$i] == $row['FSK'] )
            echo " selected=\"selected\" style=\"font-weight:bold\"";
        echo ">{$FSK[$i]}</option>";
    }

    echo "</select>";

    echo "&nbsp;&nbsp;<input class=\"checkbox\" style=\"width: 1em\" type=\"checkbox\" name=\"FSKunbekannt\" value=\"1\"";
    if ( /*$myVar->printChange == TRUE &&*/ array_key_exists( 'FSKunbekannt', $row ) && $row['FSKunbekannt'] )
        echo ' checked="checked"';
    echo " /> FSK unbekannt?";
	echo "</td></tr>";

// Einfgen von Tondetails                                  | www.LifesHammer.de - Webmaster@LifesHammer.de
	echo "<tr>";
    echo "<td class=\"description\">Tonformate</td>";
    echo "<td>";
    $sql2 = "SELECT * FROM $myDB->TON";
    if ( $_SESSION['UserRechte'] == 600 )
    $sql2 .= " ORDER BY Name";
    $rs2 = $myDB->go($sql2);
    while ( $row2 = $myDB->getRow($rs2) )
    {
        echo "<input class=\"checkbox\" style=\"width: 1em\" type=\"checkbox\" name=\"Ton[]\" value=\"{$row2['TonID']}\"";
        if ( $myVar->printChange == TRUE )
        {   /* checked nur, wenn geaendert wird */
            $sql3 = "SELECT COUNT(*) AS Anz FROM $myDB->FILME_TON WHERE FilmID = $myVar->FilmID AND TonID = {$row2['TonID']}";
            $rs3 = $myDB->go($sql3);
            $row3 = $myDB->getRow($rs3);
            if ( $row3['Anz'] > 0 )
                echo ' checked="checked"';
        }
        echo " /> {$row2['Name']}";
    }

    echo "</td>";
    echo "</tr>";
// Ende Einfgen von Tondetails                             | www.LifesHammer.de - Webmaster@LifesHammer.de

    echo "<tr>";
    echo "<td class=\"description\">Cover&nbsp;hochladen</td>";
    echo "<td><input type=\"file\" name=\"Cover\" /></td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td class=\"description\">Cover&nbsp;kopieren</td>";
    if ( isset($row['CoverURL']) )
        $value = $row['CoverURL'];
    else if ( isset($_POST['CoverURL']) && count($myVar->warnung) )
        $value = $_POST['CoverURL'];
    else
        $value = 'http://';
    echo "<td><input type=\"text\" id=\"coverurl\" name=\"CoverURL\" value=\"$value\" /></td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td class=\"description\">Webseite</td>";
    echo "<td><input type=\"text\" name=\"Webseite\" value=\"";
    if (  array_key_exists( 'Webseite', $row ) )
		echo $row['Webseite'];
	echo "\" /></td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td class=\"description\">Inhalt</td>";
    echo "<td>";
    echo "<textarea name=\"Inhalt\" rows=\"10\">";
    if (  array_key_exists( 'Inhalt', $row ) )
		echo str_replace( "<br />", "", $row['Inhalt'] );
	echo "</textarea></td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td class=\"description\">Bemerkung</td>";
    echo "<td>";
    echo "<textarea name=\"Bemerkung\" rows=\"10\">";
    if (  array_key_exists( 'Bemerkung', $row ) )
		echo str_replace( "<br />", "", $row['Bemerkung'] );
	echo "</textarea></td>";
    echo "</tr>";
    echo "<tr>";
    echo "<td colspan=\"2\">";

    echo $myVar->getRequest("",TRUE);
    echo "<input type=\"hidden\" name=\"MAX_FILE_SIZE\" value=\"500000\" />";

    if ( $myVar->printChange != TRUE )
        echo "<input class=\"buttonSubmit\" style=\"width:8em\" type=\"submit\" name=\"insert\" value=\"einf&uuml;gen\" />";
    else
        echo "<input class=\"buttonSubmit\" style=\"width:16.1em\" type=\"submit\" name=\"change\" value=\"&auml;ndern\" />";

    echo "</td>";
    echo "</tr>";
    echo "</table>";
    echo "</form>";

    // wenn einfgen, dann richtigen Button setzen
    if ( $myVar->printChange == TRUE )
    {
        echo "<table style=\"margin: 0.5em 0 0 0;\" class=\"buttons\">";
        echo "<tr>";
        echo "<td>";

        // Button um Ergebnis zu zeigen
        echo "<form method=\"get\" action=\"{$_SERVER['PHP_SELF']}\">";
        echo "<p style=\"margin:0;\">";
        $var = array();
        $var['MenuID'] = 280;
        echo $myVar->getRequest($var,TRUE);
        echo "<input class=\"buttonSubmit\" type=\"submit\" value=\"anzeigen\" />";
        echo "</p>";
        echo "</form>";
        echo "</td>";
        echo "<td>";

        // Button zum Lschen
        echo "<form method=\"get\" action=\"{$_SERVER['PHP_SELF']}\">";
        echo "<p style=\"margin:0;\">";
        $var = array();
        $var['MenuID'] = 595;
        echo $myVar->getRequest($var,TRUE);
        echo "<input class=\"buttonSubmitWarning\" type=\"submit\" value=\"l&ouml;schen\" />";
        echo "</p>";
        echo "</form>";
        echo "</td>";
        echo "</tr>";
        echo "</table>";
    }
}


?>
