<?php

/*******************************************
 *                                         *
 *     Filmverwaltung mit PHP & MySQL      *
 *                                         *
 *******************************************
 *                                         *
 * Copyright: ab 2005 Dominik Erdmann      *
 *  Internet: www.der-domi.de              *
 *     Email: kontakt@der-domi.de          *
 *                                         *
 *******************************************
 *                                         *
 * Das Skript darf nach eigenem Belieben   *
 * gendert werden. Copyright-Hinweise und *
 * Links auf www.der-domi.de drfen nicht  *
 * verndert werden und mssen jederzeit   *
 * sichtbar bleiben!                       *
 *                                         *
 *******************************************
 */

/*
 * Hier werden alle Menus zum anzeigen von allen Filmen abgearbeitet
 */


if ( $_SESSION['UserRechte'] < 300 )
    exit();


// alle Filme anzeigen
if ( $myVar->MenuID == 299 )
{
    if ( $myVar->anzIndividuen )
    {
        $beginOutput = ($myVar->page - 1) * $myVar->maxShow;
        
        // passenden Query finden, um Anzahl zu finden
        $sql = "SELECT FilmID, COLLECT_CollectID, CONCAT( COLLECT_CollectID, '-', LPAD( myFilmID, $settings->anzStellenID, '0' ) ) AS FilmID2, Titel, Originaltitel, Jahr, FSK, FSKunbekannt FROM $myDB->FILME fi";
        if ( $myVar->GenreID != 0 )
            $sql .= " INNER JOIN $myDB->FILME_GENRES fg ON fi.FilmID = fg.FILME_FilmID AND fg.GENRES_GenreID = $myVar->GenreID";
        if (  $myVar->FormatID != 0 )
            $sql .= " INNER JOIN $myDB->FORMATE ON fi.FORMATE_FormatID = FormatID AND FormatID = $myVar->FormatID";
        if (  $myVar->CollectID != 0 )
            $sql .= " INNER JOIN $myDB->COLLECT ON fi.COLLECT_CollectID = CollectID AND CollectID = $myVar->CollectID";
        
        $sql .= " WHERE". $myVar->searchVar . " AND " . $myDB->sqlForPriv;
        
        // Wenn alle Filme mit einen Anfangsbuchstaben anzeigen
        if ( strlen( $myVar->Letter ) )
            $sql .= $myVar->sqlLetter;
        
        $sql .= " ORDER BY $myVar->orderBy $myVar->ASC, Titel ASC LIMIT $beginOutput, $myVar->maxShow";
        
        
        echo "<table id=\"filmTable\">";
        printFilmTableHead( $myVar, $myDB );
        printFilmTable( $sql, $myDB, $settings, $myVar );
        echo "</table>";
    }
}


// alle gesehenen Filme
if ( $myVar->MenuID == 297 )
{
    if ( $myVar->anzIndividuen )
    {
        $beginOutput = ($myVar->page - 1) * $myVar->maxShow;
        
        // passenden Query finden, um Anzahl zu finden
        $sql = "SELECT FilmID, COLLECT_CollectID, CONCAT( COLLECT_CollectID, '-', LPAD( myFilmID, $settings->anzStellenID, '0' ) ) AS FilmID2, Titel, Originaltitel, Jahr, FSK, FSKunbekannt FROM $myDB->FILME fi INNER JOIN $myDB->FILME_USERS fu ON fi.FilmID = fu.FILME_FilmID AND fu.USERS_UserID = {$_SESSION['UserID']}";
        if ( $myVar->GenreID != 0 )
            $sql .= " INNER JOIN $myDB->FILME_GENRES fg ON fi.FilmID = fg.FILME_FilmID AND fg.GENRES_GenreID = $myVar->GenreID";
        if (  $myVar->FormatID != 0 )
            $sql .= " INNER JOIN $myDB->FORMATE fo ON fi.FORMATE_FormatID = fo.FormatID AND fo.FormatID = $myVar->FormatID";
        if (  $myVar->CollectID != 0 )
            $sql .= " INNER JOIN $myDB->COLLECT ON fi.COLLECT_CollectID = CollectID AND CollectID = $myVar->CollectID";
        
        $sql .= " WHERE". $myVar->searchVar . " AND " . $myDB->sqlForPriv;
        
        // Wenn alle Filme mit einen Anfangsbuchstaben anzeigen
        if ( strlen( $myVar->Letter ) )
            $sql .= $myVar->sqlLetter;
        
        $sql .= " ORDER BY $myVar->orderBy $myVar->ASC, Titel ASC LIMIT $beginOutput, $myVar->maxShow";
        
        
        echo "<table id=\"filmTable\">";
        printFilmTableHead( $myVar, $myDB );
        printFilmTable( $sql, $myDB, $settings, $myVar );
        echo "</table>";
    }
}





// alle ungesehenen Filme
if ( $myVar->MenuID == 298 )
{
    if ( $myVar->anzIndividuen )
    {
        $beginOutput = ($myVar->page - 1) * $myVar->maxShow;
        
        // passenden Query finden, um Anzahl zu finden
        $sql = "SELECT FilmID, COLLECT_CollectID, CONCAT( COLLECT_CollectID, '-', LPAD( myFilmID, $settings->anzStellenID, '0' ) ) AS FilmID2, Titel, Originaltitel, Jahr, FSK, FSKunbekannt FROM $myDB->FILME fi ";
        if ( $myVar->GenreID != 0 )
            $sql .= " INNER JOIN $myDB->FILME_GENRES fg ON fi.FilmID = fg.FILME_FilmID AND fg.GENRES_GenreID = $myVar->GenreID";
        if (  $myVar->FormatID != 0 )
            $sql .= " INNER JOIN $myDB->FORMATE fo ON fi.FORMATE_FormatID = fo.FormatID AND fo.FormatID = $myVar->FormatID";
        if (  $myVar->CollectID != 0 )
            $sql .= " INNER JOIN $myDB->COLLECT ON fi.COLLECT_CollectID = CollectID AND CollectID = $myVar->CollectID";
        
        $sql .= " WHERE fi.FilmID NOT IN ( SELECT FILME_FilmID FROM $myDB->FILME_USERS WHERE USERS_UserID = {$_SESSION['UserID']} )" .
                " AND $myVar->searchVar AND".$myDB->sqlForPriv;
        
        // Wenn alle Filme mit einen Anfangsbuchstaben anzeigen
        if ( strlen( $myVar->Letter ) )
            $sql .= $myVar->sqlLetter;
        
        $sql .= " ORDER BY $myVar->orderBy $myVar->ASC, Titel ASC LIMIT $beginOutput, $myVar->maxShow";
        
        
        echo "<table id=\"filmTable\">";
        printFilmTableHead( $myVar, $myDB );
        printFilmTable( $sql, $myDB, $settings, $myVar );
        echo "</table>";
    }
}


// alle momentan ausgeliehenen Filme anzeigen
if ( $myVar->MenuID == 296 )
{
    if ( $myVar->anzIndividuen )
    {
        $beginOutput = ($myVar->page - 1) * $myVar->maxShow;
        
        // passenden Query finden, um Anzahl zu finden
        $sql = "SELECT DISTINCT FilmID, COLLECT_CollectID, CONCAT( COLLECT_CollectID, '-', LPAD( myFilmID, $settings->anzStellenID, '0' ) ) AS FilmID2, Titel, Originaltitel, Jahr, FSK, FSKunbekannt, ausgeliehenAm FROM $myDB->FILME fi INNER JOIN $myDB->DISCS di ON fi.FilmID=di.FILME_FilmID ";
        if ( $myVar->GenreID != 0 )
            $sql .= " INNER JOIN $myDB->FILME_GENRES fg ON fi.FilmID = fg.FILME_FilmID AND fg.GENRES_GenreID = $myVar->GenreID";
        if (  $myVar->FormatID != 0 )
            $sql .= " INNER JOIN $myDB->FORMATE fo ON fi.FORMATE_FormatID = fo.FormatID AND fo.FormatID = $myVar->FormatID";
        if (  $myVar->CollectID != 0 )
            $sql .= " INNER JOIN $myDB->COLLECT ON fi.COLLECT_CollectID = CollectID AND CollectID = $myVar->CollectID";
        
        $sql .= " WHERE di.USERS_UserID = {$_SESSION['UserID']} AND $myVar->searchVar AND".$myDB->sqlForPriv;
        
        // Wenn alle Filme mit einen Anfangsbuchstaben anzeigen
        if ( strlen( $myVar->Letter ) )
            $sql .= $myVar->sqlLetter;
        
        $sql .= " ORDER BY $myVar->orderBy $myVar->ASC, Titel ASC LIMIT $beginOutput, $myVar->maxShow";
        
        
        echo "<table id=\"filmTable\">";
        printFilmTableHead( $myVar, $myDB );
        printFilmTable( $sql, $myDB, $settings, $myVar );
        echo "</table>";
    }
}

// Einfgen der Reservierung                                | www.LifesHammer.de - Webmaster@LifesHammer.de
// alle momentan reservierten Filme anzeigen
if ( $myVar->MenuID == 294 )
{
    if ( $myVar->anzIndividuen )
    {
        $beginOutput = ($myVar->page - 1) * $myVar->maxShow;
        
        // passenden Query finden, um Anzahl zu finden
        $sql = "SELECT DISTINCT FilmID, COLLECT_CollectID, CONCAT( COLLECT_CollectID, '-', LPAD( myFilmID, $settings->anzStellenID, '0' ) ) AS FilmID2, Titel, Originaltitel, Jahr, FSK, FSKunbekannt, reserviertAm FROM $myDB->FILME fi INNER JOIN $myDB->RESERVIERUNG re ON fi.FilmID=re.FILME_FilmID ";
        if ( $myVar->GenreID != 0 )
            $sql .= " INNER JOIN $myDB->FILME_GENRES fg ON fi.FilmID = fg.FILME_FilmID AND fg.GENRES_GenreID = $myVar->GenreID";
        if (  $myVar->FormatID != 0 )
            $sql .= " INNER JOIN $myDB->FORMATE fo ON fi.FORMATE_FormatID = fo.FormatID AND fo.FormatID = $myVar->FormatID";
        if (  $myVar->CollectID != 0 )
            $sql .= " INNER JOIN $myDB->COLLECT ON fi.COLLECT_CollectID = CollectID AND CollectID = $myVar->CollectID";
        
        $sql .= " WHERE re.USERS_UserID = {$_SESSION['UserID']} AND $myVar->searchVar AND".$myDB->sqlForPriv;
        
        // Wenn alle Filme mit einen Anfangsbuchstaben anzeigen
        if ( strlen( $myVar->Letter ) )
            $sql .= $myVar->sqlLetter;
        
        $sql .= " ORDER BY $myVar->orderBy $myVar->ASC, Titel ASC LIMIT $beginOutput, $myVar->maxShow";
        
        
        echo "<table id=\"filmTable\">";
        printFilmTableHead( $myVar, $myDB );
        printFilmTable( $sql, $myDB, $settings, $myVar );
        echo "</table>";
    }
}
// Ende: Einfgen der Reservierung                          | www.LifesHammer.de - Webmaster@LifesHammer.de



?>
