<?php

/*******************************************
 *                                         *
 *     Filmverwaltung mit PHP & MySQL      *
 *                                         *
 *******************************************
 *                                         *
 * Copyright: ab 2005 Dominik Erdmann      *
 *  Internet: www.der-domi.de              *
 *     Email: kontakt@der-domi.de          *
 *                                         *
 *******************************************
 *                                         *
 * Das Skript darf nach eigenem Belieben   *
 * gendert werden. Copyright-Hinweise und *
 * Links auf www.der-domi.de drfen nicht  *
 * verndert werden und mssen jederzeit   *
 * sichtbar bleiben!                       *
 *                                         *
 *******************************************
 */

/*
 * Funktionen fuer die Ausgabe
 */


/*
 * Header ausgeben
 *
 * Input:   Titelzeile und StyleNr
 */
function printHeader( &$settings ) {


    echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Strict//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd\">";
    echo "<html xmlns=\"http://www.w3.org/1999/xhtml\" xml:lang=\"de\" lang=\"de\">";
    echo "<head>";
    echo "<title>{$settings->browserTitel}</title>";
    echo "<meta http-equiv=\"content-type\" content=\"text/html; charset=iso-8859-1\" />";
    echo "<meta http-equiv=\"content-language\" content=\"de\" />";
    //echo "<!-- damit die Session nicht abgemeldet wird, Seite alle 20 Minuten neuladen -->";
    //echo "<meta http-equiv=\"refresh\" content=\"1200\" />";
    echo "<meta name=\"keywords\" content=\"Filmverwaltung, Filmdatenkank, DVD-Verwaltung, DVD-Datenbank, Filme, PHP, Skript, MySQL\" />";
    echo "<meta name=\"description\" content=\"Filmverwaltung :: Dieses PHP-Skript hilft bei der Verwaltung von Filmen verschiedener Art in Verbindung mit einer MySQL-Datenbank\" />";
    echo "<meta name=\"author\" content=\"Dominik Erdmann\" />";
    echo "<meta name=\"robots\" content=\"index,follow\" />";
    echo "<meta name=\"revisit-after\" content=\"10 days\" />";
    echo "<link rel=\"stylesheet\" type=\"text/css\" href=\"{$settings->standardStyle}\" />";
    echo "</head>";

    /*
     * AUCH DIESE HINWEISE MSSEN BESTEHEN BLEIBEN
     */
    echo "<!--";
    echo "\n    This Site is brought to you by Dominik Erdmann :-)";
    echo "\n                  www.der-domi.de";
    echo "\n  -->";
    echo "<body>";
}


/*
 * der Tabellenkopf fr Tabelle mit allen Filmen
 */
function printFilmTableHead ( &$myVar, &$myDB ) {

    echo "<tr>";



    $var = array();
    $var = $myVar->getRequest($var);
    // es wird nur absteigend sotiert, wenn dies explizit gefordert ist
    if ( $myVar->orderBy == "Titel" && $myVar->ASC == "ASC" )
    {
        $var = array();
        $var['orderBy'] = "Titel";
        $var['ASC'] = "DESC";
        $var['page'] = 1;
        $var = $myVar->getRequest($var);
        echo "<th style=\"width:100%;\"><a href=\"{$_SERVER['PHP_SELF']}?$var\" title=\"absteigend\">Titel</a></th>";
    }
    else
    {
        $var = array();
        $var['orderBy'] = "Titel";
        $var['ASC'] = "ASC";
        $var['page'] = 1;
        $var = $myVar->getRequest($var);
        echo "<th style=\"width:100%;\"><a href=\"{$_SERVER['PHP_SELF']}?$var\" title=\"aufsteigend\">Titel</a></th>";
    }

    if ( $myVar->MenuID != 296 && $myVar->MenuID != 294 || !$myDB->MySQL_Ver )
    {
        if ( $myVar->orderBy == "Jahr" && $myVar->ASC == "ASC" )
        {
            $var = array();
            $var['orderBy'] = "Jahr";
            $var['ASC'] = "DESC";
            $var['page'] = 1;
            $var = $myVar->getRequest($var);
            echo "<th><a href=\"{$_SERVER['PHP_SELF']}?$var\" title=\"absteigend\">Jahr</a></th>";
        }
        else
        {
            $var = array();
            $var['orderBy'] = "Jahr";
            $var['ASC'] = "ASC";
            $var['page'] = 1;
            $var = $myVar->getRequest($var);
            echo "<th><a href=\"{$_SERVER['PHP_SELF']}?$var\" title=\"aufsteigend\">Jahr</a></th>";
        }

        if ( $myVar->orderBy == "FSK" && $myVar->ASC == "ASC" )
        {
            $var = array();
            $var['orderBy'] = "FSK";
            $var['ASC'] = "DESC";
            $var['page'] = 1;
            $var = $myVar->getRequest($var);
            echo "<th><a href=\"{$_SERVER['PHP_SELF']}?$var\" title=\"absteigend\">FSK</a></th>";
        }
        else
        {
            $var = array();
            $var['orderBy'] = "FSK";
            $var['ASC'] = "ASC";
            $var['page'] = 1;
            $var = $myVar->getRequest($var);
            echo "<th><a href=\"{$_SERVER['PHP_SELF']}?$var\" title=\"aufsteigend\">FSK</a></th>";
        }
    }
    else
        if ( $myVar->MenuID != 294 ) {
        echo "<th>ausgeliehen</th>";
        }
        else
        echo "<th>reserviert</th>";

    if ( $myVar->orderBy == "FilmID2" && $myVar->ASC == "ASC" )
    {
        $var = array();
        $var['orderBy'] = "FilmID2";
        $var['ASC'] = "DESC";
        $var['page'] = 1;
        $var = $myVar->getRequest($var);
        echo "<th><a href=\"{$_SERVER['PHP_SELF']}?$var\" title=\"absteigend\">FilmID</a></th>";
    }
    else
    {
        $var = array();
        $var['orderBy'] = "FilmID2";
        $var['ASC'] = "ASC";
        $var['page'] = 1;
        $var = $myVar->getRequest($var);
        echo "<th><a href=\"{$_SERVER['PHP_SELF']}?$var\" title=\"aufsteigend\">FilmID</a></th>";
    }
// Einfgen der Reservierung                                | www.LifesHammer.de - Webmaster@LifesHammer.de
    if ( $myVar->MenuID == 294 )
    {
        echo "<th>Reservierung</th>";
    }
// Ende: Einfgen der Reservierung                          | www.LifesHammer.de - Webmaster@LifesHammer.de


    echo "</tr>";
}



/*
 * der Tabellenkopf fr Tabelle mit allen Benutzern
 */
function printUserTableHead ( $MenuID ) {

    echo "<tr>";
    echo "<th style=\"width:50%\">Name</th>";
    echo "<th style=\"width:50%\">Email</th>";
    echo "<th>Rechte</th>";
    echo "<th><a title=\"Benutzer hat das Recht, Filme bis zu dieser FSK-Empfehlung anzuschauen\">FSK</a></th>";
    echo "<th><a title=\"Film / Format / Genre / Kollektion\">Privilegien</a></th>";
    echo "<th><a title=\"Email erhalten, wenn neue Filme eingetragen sind\">Info</a></th>";
    echo "</tr>";
}



/*
 * der Tabellenkopf fr Tabelle mit allen Actors oder Regisseuren
 */
function printNameHead ( &$myVar ) {

    echo "<tr>";

    $var = array();
    $var = $myVar->getRequest($var);
    echo "<th style=\"width:100%;\">Name</th>";
    /*
    // es wird nur absteigend sotiert, wenn dies explizit gefordert ist
    if ( $myVar->ASC == "ASC" )
    {
        $var = array();
        $var = $myVar->getRequest($var);
        echo "<th><a href=\"{$_SERVER['PHP_SELF']}?$var\" title=\"aufsteigend\">FilmID</a></th>";
    }
    //    echo "<th style=\"width:100%;\"><a href=\"{$_SERVER['PHP_SELF']}?MenuID=$MenuID&amp;ASC=0$searchForLink\" title=\"absteigend\">Name</a></th>";
    else
    {
        $var = array();
        $var['orderBy'] = "FilmID2";
        $var['ASC'] = "ASC";
        $var['page'] = 1;
        $var = $myVar->getRequest($var);
        echo "<th><a href=\"{$_SERVER['PHP_SELF']}?$var\" title=\"aufsteigend\">FilmID</a></th>";
    }
    //    echo "<th style=\"width:100%;\"><a href=\"{$_SERVER['PHP_SELF']}?MenuID=$MenuID&amp;ASC=1$searchForLink\" title=\"aufsteigend\">Name</a></th>";
    */
    echo "<th>Filme</th>";

    echo "</tr>";
}



/*
 * Jede Tabelle mit Filmen wird nach dem gleichen Schema ausgegeben
 */
function printFilmTable( $sql, &$myDB, &$settings, &$myVar )
{

    $rs = $myDB->go($sql);
    for ( $i = 0; $row = $myDB->getRow($rs); ++$i )
    {
        if ( $i % 2 == 0 )
            echo "<tr class=\"row1\" >";
        else
            echo "<tr class=\"row2\">";

        $Genre = getName( "Genre", $row['FilmID'], $myDB, $settings );

        $var = array();
        $var['FilmID'] = $row['FilmID'];
        $var['MenuID'] = 280;
        $var = $myVar->getRequest($var);

        echo "<td><a href=\"{$_SERVER['PHP_SELF']}?$var\" title=\"$Genre\">{$row['Titel']}";
        if ( strlen($row['Originaltitel']) )
            echo " <span style=\"font-size:0.8em\">({$row['Originaltitel']})</span>";
        echo "&nbsp;</a></td>";

/* Einfgen der Reservierung                                | www.LifesHammer.de - Webmaster@LifesHammer.de
* In Zeile 251 wurde || $myVar->MenuID == 294 hinzugefgt um die Ansicht der reservierten Filme den
* ausgeliehenen anzupassen
*/
        if ( $myVar->MenuID == 296 || $myVar->MenuID == 294 && $myDB->MySQL_Ver )
	   // Eine zustzlich Abfrage um die Tage fr die Reservierung und Leihe aus verschiedenen Tabellen
           // abzufragen Zeile 253 - 254 wurden hinzugefgt
           if ( $myVar->MenuID == 296 )
               echo "<td style=\"text-align: right;\" nowrap=\"nowrap\">".getDaysInWeeks(getDaysFromToday($row['ausgeliehenAm'],$myDB))."</td>";
           else
               echo "<td style=\"text-align: right;\" nowrap=\"nowrap\">".getDaysInWeeks(getDaysFromToday($row['reserviertAm'],$myDB))."</td>";
// Ende: Einfgen der Reservierung                          | www.LifesHammer.de - Webmaster@LifesHammer.de
        else
        {
            if ( $row['Jahr'] )
                $Jahr = $row['Jahr'];
            else
                $Jahr = '';
            echo "<td style=\"text-align: right;\">$Jahr</td>";

            if ( $row['FSKunbekannt'] )
                $FSK = '';
            else
                $FSK = $row['FSK'];
            echo "<td style=\"text-align: right;\">$FSK</td>";
        }

        echo "<td style=\"text-align: right;\">{$row['FilmID2']}</td>";

// Einfgen der Reservierung                                | www.LifesHammer.de - Webmaster@LifesHammer.de
        if ( $myVar->MenuID == 294 )
        {
            $var = array();
            $var = $myVar->getRequest($var)."get=1&amp;FilmID={$row['FilmID']}";
            echo "<td style=\"text-align: center;\"><a href=\"{$_SERVER['PHP_SELF']}?$var\">lschen</a></td>";
            echo "</tr>";
        }
        else
            echo "</tr>";
// Ende: Einfgen der Reservierung                          | www.LifesHammer.de - Webmaster@LifesHammer.de

    }

}



/*
 * die Tabelle mit allen Benutzern
 */
function printUserTable( $sql, &$myDB, &$myVar )
{
    $rs = $myDB->go($sql);
    for ( $i = 0; $row = $myDB->getRow($rs); ++$i )
    {
	    $var = array();
	    $var['MenuID'] = 899;
	    $var = $myVar->getRequest($var);

        if ( $i % 2 == 0 )
            echo "<tr class=\"row1\">";
        else
            echo "<tr class=\"row2\">";

        echo "<td><a href=\"{$_SERVER['PHP_SELF']}?{$var}UserID={$row['UserID']}\">{$row['UserName']}</a></td>";
        echo "<td><a href=\"{$_SERVER['PHP_SELF']}?{$var}UserID={$row['UserID']}\">{$row['Email']}</a></td>";

        $UserRechte = getRechte( $row['UserRechte'] );
        echo "<td>$UserRechte</td>";
        echo "<td style=\"text-align: right;\">".getMaxFSK( $row['UserID'], $myDB )."</td>";
        echo "<td style=\"text-align: right;\">{$row['FilmPrivileg']}/{$row['FormatPrivileg']}/{$row['GenrePrivileg']}/{$row['CollectPrivileg']}</td>";
        $getEmail = getEmail( $row['getEmail'] );
        echo "<td style=\"text-align: right;\">$getEmail</td>";
        echo "</tr>";
    }
}



/*
 * Jede Tabelle mit Schauspieler hier ausgeben
 */
function printActorTable( $sql, &$myDB, &$myVar )
{
    $rs = $myDB->go($sql);
    for ( $i = 0; $row = $myDB->getRow($rs); ++$i )
    {
        $vars = array();
        //$vars['MenuID'] = 280;
        $vars['ActorID'] = $row['ActorID'];
        $vars['searchFor'] = '';
        $vars['searchIn'] = '';
        $vars = $myVar->getRequest($vars);
        if ( $i % 2 == 0 )
            echo "<tr class=\"row1\">";
        else
            echo "<tr class=\"row2\">";

        echo "<td><a href=\"{$_SERVER['PHP_SELF']}?$vars \">{$row['Name']}</a></td>";
        echo "<td style=\"text-align:center\">{$row['Anz']}</td>";
        echo "</tr>";
    }
}



/*
 * Jede Tabelle mit Regisseure hier ausgeben
 */
function printRegisseurTable( $sql, &$myDB, &$myVar )
{
    $rs = $myDB->go($sql);

    for ( $i = 0; $row = $myDB->getRow($rs); ++$i )
    {
        $vars = array();
        //$vars['MenuID'] = 280;
        $vars['RegisseurID'] = $row['RegisseurID'];
        $vars = $myVar->getRequest($vars);

        if ( $i % 2 == 0 )
            echo "<tr class=\"row1\">";
        else
            echo "<tr class=\"row2\">";

        echo "<td><a href=\"{$_SERVER['PHP_SELF']}?$vars \">{$row['Name']}</a></td>";
        echo "<td style=\"text-align:center\">{$row['Anz']}</td>";
        echo "</tr>";
    }
}


/*
 * Den Kopf der Seite ausgeben. Enthlt berschrift und Mainmenu
 */
function printTop( &$myVar, &$settings ) {

    $vars = array();
    $vars['MenuID'] = 0;
    $vars = $myVar->getRequest($vars);

    // Hauptmenu
    echo "<div id=\"mainmenu\">";
    if ( $myVar->std['MenuID'] == 287 )
    {
        echo "<a href=\"{$_SERVER['PHP_SELF']}?".str_replace("MenuID=0","MenuID=287",$vars)."\">Startseite</a>";
        echo "<span style=\"margin:0em; padding:0\">|</span>";
    }
    echo "<a href=\"{$_SERVER['PHP_SELF']}?".str_replace("MenuID=0","MenuID=299",$vars)."\">alle Filme</a>";
    echo "<span style=\"margin:0em; padding:0\">|</span>";

    if ( strlen($settings->MenuLinkAdresse) )
    {
        echo "<a href=\"$settings->MenuLinkAdresse\">";
        if ( strlen($settings->MenuLinkName) )
            echo $settings->MenuLinkName;
        else
            echo str_replace( "http://", "", $settings->MenuLinkAdresse );
        echo "</a>";
        echo "<span style=\"margin:0em; padding:0\">|</span>";
    }

    $vars = array();
    $vars['MenuID'] = 100;
    $vars = $myVar->getRequest($vars);

    if ( $_SESSION['UserID'] != $settings->autoLogin )
        echo "<span id=\"logout\"><a href=\"{$_SERVER['PHP_SELF']}?$vars\">ausloggen</a></span>";
    else
        echo "<span id=\"logout\"><a href=\"{$_SERVER['PHP_SELF']}?$vars\">Benutzer wechseln</a></span>";
    echo "</div>";


    echo "<div id=\"top\">".getMenuName( $myVar )."</div>" ;
}


/*
 * Das Untermenu ausgeben!
 */
function printUntermenu( &$myDB, &$myVar, &$settings ) {

    $vars = array();
    $vars['MenuID'] = 0;
    $vars['FilmID'] = 0;
    $vars = $myVar->getRequest($vars);

    echo "<div id=\"untermenu\">";

    // Benutzermenu
    echo "<ul>";

    if ( $myVar->std['MenuID'] == 287 )
    {
        if ( $myVar->selectMenuID() == 287 )
            echo "<li><span><a href=\"{$_SERVER['PHP_SELF']}?".str_replace("MenuID=0","MenuID=287",$vars)."\">Startseite</a></span></li>";
        else
            echo "<li><a href=\"{$_SERVER['PHP_SELF']}?".str_replace("MenuID=0","MenuID=287",$vars)."\">Startseite</a></li>";
    }

    if ( $myVar->selectMenuID() == 299 )
        echo "<li><span><a href=\"{$_SERVER['PHP_SELF']}?".str_replace("MenuID=0","MenuID=299",$vars)."\">alle Filme</a></span>";
    else
        echo "<li><a href=\"{$_SERVER['PHP_SELF']}?".str_replace("MenuID=0","MenuID=299",$vars)."\">alle Filme</a>";

    if ( $_SESSION['UserID'] != $settings->autoLogin )
    {
        echo "<ul>";
        if ( $myDB->MySQL_Ver == TRUE )
        {
             // PASSENDES QUERY, UM ANZAHL DER UNGESEHENEN FILME ZU FINDEN
            $sql = "SELECT COUNT(*) AS Anz FROM $myDB->FILME fi";
            $sql .= " WHERE".$myDB->sqlForPriv;
            $sql .= " AND fi.FilmID NOT IN ( SELECT FILME_FilmID FROM $myDB->FILME_USERS WHERE USERS_UserID = {$_SESSION['UserID']} )";

            $rs = $myDB->go($sql);
            $row = $myDB->getRow($rs);
            if ( $row['Anz'] )
            {
                if ( $myVar->selectMenuID() == 298 )
                    echo "<li><span><a href=\"{$_SERVER['PHP_SELF']}?".str_replace("MenuID=0","MenuID=298",$vars)."\">ungesehene Filme</a></span></li>";
                else
                    echo "<li><a href=\"{$_SERVER['PHP_SELF']}?".str_replace("MenuID=0","MenuID=298",$vars)."\">ungesehene Filme</a></li>";
            }
        }

        // PASSENDES QUERY, UM ANZAHL DER GESEHENEN FILME ZU FINDEN
        $sql = "SELECT COUNT(*) AS Anz FROM $myDB->FILME fi";
        $sql .= " INNER JOIN $myDB->FILME_USERS fu ON fi.FilmID = fu.FILME_FilmID";
        $sql .= " WHERE".$myDB->sqlForPriv;
        $sql .= " AND fu.USERS_UserID = {$_SESSION['UserID']}";

        $rs = $myDB->go($sql);
        $row = $myDB->getRow($rs);
        if ( $row['Anz'] )
        {
            if ( $myVar->selectMenuID() == 297 )
                echo "<li><span><a href=\"{$_SERVER['PHP_SELF']}?".str_replace("MenuID=0","MenuID=297",$vars)."\">gesehene Filme</a></span></li>";
            else
                echo "<li><a href=\"{$_SERVER['PHP_SELF']}?".str_replace("MenuID=0","MenuID=297",$vars)."\">gesehene Filme</a></li>";
        }

        // PASSENDES QUERY, UM ANZAHL DER AUSGELIEHENEN FILME ZU FINDEN
        $sql = "SELECT COUNT(*) AS Anz FROM $myDB->FILME fi";
        $sql .= " INNER JOIN $myDB->DISCS di ON fi.FilmID=di.FILME_FilmID ";
        $sql .= " WHERE".$myDB->sqlForPriv;
        $sql .= " AND di.USERS_UserID = {$_SESSION['UserID']} GROUP BY di.FILME_FilmID";
        $sql = "SELECT COUNT(*) AS Anz FROM $myDB->DISCS WHERE USERS_UserID = {$_SESSION['UserID']} GROUP BY FILME_FilmID";
        $rs = $myDB->go($sql);
        //$row = $myDB->getRow($rs);
        $row['Anz'] = mysql_num_rows($rs);
        if ( $row['Anz'] )
        {
            if ( $myVar->selectMenuID() == 296 )
                echo "<li><span><a href=\"{$_SERVER['PHP_SELF']}?".str_replace("MenuID=0","MenuID=296",$vars)."\">ausgeliehene Filme</a></span></li>";
            else
                echo "<li><a href=\"{$_SERVER['PHP_SELF']}?".str_replace("MenuID=0","MenuID=296",$vars)."\">ausgeliehene Filme</a></li>";
        }

// Einfgen der Reservierung                                | www.LifesHammer.de - Webmaster@LifesHammer.de
        // PASSENDES QUERY, UM ANZAHL DER RESERVIERTEN FILME ZU FINDEN
        $sql = "SELECT COUNT(*) AS Anz FROM $myDB->FILME fi";
        $sql .= " INNER JOIN $myDB->RESERVIERUNG re ON fi.FilmID=re.FILME_FilmID ";
        $sql .= " WHERE".$myDB->sqlForPriv;
        $sql .= " AND re.USERS_UserID = {$_SESSION['UserID']} GROUP BY re.FILME_FilmID";
        $sql = "SELECT COUNT(*) AS Anz FROM $myDB->RESERVIERUNG WHERE USERS_UserID = {$_SESSION['UserID']} GROUP BY FILME_FilmID";
        $rs = $myDB->go($sql);
        //$row = $myDB->getRow($rs);
        $row['Anz'] = mysql_num_rows($rs);
        if ( $row['Anz'] )
        {
            if ( $myVar->selectMenuID() == 294 )
                echo "<li><span><a href=\"{$_SERVER['PHP_SELF']}?".str_replace("MenuID=0","MenuID=294",$vars)."\">reservierte Filme</a></span></li>";
            else
                echo "<li><a href=\"{$_SERVER['PHP_SELF']}?".str_replace("MenuID=0","MenuID=294",$vars)."\">reservierte Filme</a></li>";
        }
// Ende: Einfgen der Reservierung                          | www.LifesHammer.de - Webmaster@LifesHammer.de

       echo "</ul>";

    }

    echo "</li>";

    $vars1 = array();
    $vars1['MenuID'] = 290;
    $vars1['FilmID'] = 0;
    $vars1['ActorID'] = 0;
    $vars1['RegisseurID'] = 0;
    $vars1 = $myVar->getRequest($vars1);

    if ( $myVar->selectMenuID() == 290 )
        echo "<li><span><a href=\"{$_SERVER['PHP_SELF']}?$vars1 \">Suche</a></span></li>";
    else
        echo "<li><a href=\"{$_SERVER['PHP_SELF']}?$vars1 \">Suche</a></li>";
    if ( $myVar->selectMenuID() == 293 )
        echo "<li><span><a href=\"{$_SERVER['PHP_SELF']}?".str_replace("MenuID=0","MenuID=293",$vars)."\">Export</a></span></li>";
    else
        echo "<li><a href=\"{$_SERVER['PHP_SELF']}?".str_replace("MenuID=0","MenuID=293",$vars)."\">Export</a></li>";
    if ( $myVar->selectMenuID() == 292 )
        echo "<li><span><a href=\"{$_SERVER['PHP_SELF']}?".str_replace("MenuID=0","MenuID=292",$vars)."\">Statistik</a></span></li>";
    else
        echo "<li><a href=\"{$_SERVER['PHP_SELF']}?".str_replace("MenuID=0","MenuID=292",$vars)."\">Statistik</a></li>";

    if ( $_SESSION['UserID'] != $settings->autoLogin )
    {
    if ( $myVar->selectMenuID() == 295 )
        echo "<li><span><a href=\"{$_SERVER['PHP_SELF']}?".str_replace("MenuID=0","MenuID=295",$vars)."\">Pers&ouml;nliches</a></span></li>";
    else
        echo "<li><a href=\"{$_SERVER['PHP_SELF']}?".str_replace("MenuID=0","MenuID=295",$vars)."\">Pers&ouml;nliches</a></li>";
    }
    if ( $settings->showInfo == TRUE )
    {
        if ( $myVar->selectMenuID() == 288 )
            echo "<li><span><a href=\"{$_SERVER['PHP_SELF']}?".str_replace("MenuID=0","MenuID=288",$vars)."\">Infos</a></span></li>";
        else
            echo "<li><a href=\"{$_SERVER['PHP_SELF']}?".str_replace("MenuID=0","MenuID=288",$vars)."\">Infos</a></li>";
    }
    echo "</ul>";

    // Adminmenu
    if ( $_SESSION['UserRechte'] > 300 )
    {
        echo "<ul>";
        echo "<li>Filme";
        echo "<ul>";
        if ( $myVar->selectMenuID() == 598 )
            echo "<li><span><a href=\"{$_SERVER['PHP_SELF']}?".str_replace("MenuID=0","MenuID=598",$vars)."\">Film einf&uuml;gen / &auml;ndern</a></span></li>";
        else
            echo "<li><a href=\"{$_SERVER['PHP_SELF']}?".str_replace("MenuID=0","MenuID=598",$vars)."\">Film einf&uuml;gen / &auml;ndern</a></li>";
        if ( $myVar->selectMenuID() == 597 )
            echo "<li><span><a href=\"{$_SERVER['PHP_SELF']}?".str_replace("MenuID=0","MenuID=597",$vars)."\">Genres bearbeiten</a></span></li>";
        else
            echo "<li><a href=\"{$_SERVER['PHP_SELF']}?".str_replace("MenuID=0","MenuID=597",$vars)."\">Genres bearbeiten</a></li>";
        if ( $myVar->selectMenuID() == 594 )
            echo "<li><span><a href=\"{$_SERVER['PHP_SELF']}?".str_replace("MenuID=0","MenuID=594",$vars)."\">Formate bearbeiten</a></span></li>";
        else
            echo "<li><a href=\"{$_SERVER['PHP_SELF']}?".str_replace("MenuID=0","MenuID=594",$vars)."\">Formate bearbeiten</a></li>";

// Einfgen von Tondetails                                  | www.LifesHammer.de - Webmaster@LifesHammer.de
        if ( $myVar->selectMenuID() == 594 )
            echo "<li><span><a href=\"{$_SERVER['PHP_SELF']}?".str_replace("MenuID=0","MenuID=590",$vars)."\">Tonformate bearb.</a></span></li>";
        else
            echo "<li><a href=\"{$_SERVER['PHP_SELF']}?".str_replace("MenuID=0","MenuID=590",$vars)."\">Tonformate bearb.</a></li>";
// Ende: Einfgen von Tondetails                            | www.LifesHammer.de - Webmaster@LifesHammer.de

        if ( $myVar->selectMenuID() == 593 )
            echo "<li><span><a href=\"{$_SERVER['PHP_SELF']}?".str_replace("MenuID=0","MenuID=593",$vars)."\">Kollektionen bearbeiten</a></span></li>";
        else
            echo "<li><a href=\"{$_SERVER['PHP_SELF']}?".str_replace("MenuID=0","MenuID=593",$vars)."\">Kollektionen bearbeiten</a></li>";
        if ( $_SESSION['UserRechte'] > 600 )
        {
            if ( $myVar->selectMenuID() == 591 )
                echo "<li><span><a href=\"{$_SERVER['PHP_SELF']}?".str_replace("MenuID=0","MenuID=591",$vars)."\">Diskverwaltung</a></span></li>";
            else
                echo "<li><a href=\"{$_SERVER['PHP_SELF']}?".str_replace("MenuID=0","MenuID=591",$vars)."\">Diskverwaltung</a></li>";
        }
        echo "</ul>";
        echo "</li>";
        echo "</ul>";
    }

    $vars = array();
    $vars['MenuID'] = 0;
    $vars['FilmID'] = 0;
    $vars['orderBy'] = "Titel";
    $vars['ASC'] = "ASC";
    $vars['searchFor'] = "";
    $vars['searchIn'] = "";
    $vars['Letter'] = "";
    $vars['page'] = 1;
    $vars = $myVar->getRequest($vars);

    // Adminmenu
    if ( $_SESSION['UserRechte'] == 600 && $settings->AdminCanDistribute )
    {
        echo "<ul>";
        echo "<li>Benutzer &amp; Filme";
        echo "<ul>";

        if ( $myVar->selectMenuID() == 897 )
            echo "<li><span><a href=\"{$_SERVER['PHP_SELF']}?".str_replace("MenuID=0","MenuID=897",$vars)."\">verliehene Filme</a></span></li>";
        else
            echo "<li><a href=\"{$_SERVER['PHP_SELF']}?".str_replace("MenuID=0","MenuID=897",$vars)."\">verliehene Filme</a></li>";

// Einfgen der Reservierung                                | www.LifesHammer.de - Webmaster@LifesHammer.de
        if ( $myVar->selectMenuID() == 893 )
            echo "<li><span><a href=\"{$_SERVER['PHP_SELF']}?".str_replace("MenuID=0","MenuID=893",$vars)."\">Reservierungen</a></span></li>";
        else
            echo "<li><a href=\"{$_SERVER['PHP_SELF']}?".str_replace("MenuID=0","MenuID=893",$vars)."\">Reservierungen</a></li>";
// Ende: Einfgen der Reservierung                          | www.LifesHammer.de - Webmaster@LifesHammer.de

        echo "</ul></li></ul>";
    }

    // Superadminmenu
    if ( $_SESSION['UserRechte'] > 600 )
    {
        echo "<ul>";
        echo "<li>Benutzer";
        echo "<ul>";
        if ( $myVar->selectMenuID() == 898 )
            echo "<li><span><a href=\"{$_SERVER['PHP_SELF']}?".str_replace("MenuID=0","MenuID=898",$vars)."=898\">alle Benutzer</a></span></li>";
        else
            echo "<li><a href=\"{$_SERVER['PHP_SELF']}?".str_replace("MenuID=0","MenuID=898",$vars)."\">alle Benutzer</a></li>";
        if ( $myVar->selectMenuID() == 899 )
            echo "<li><span><a href=\"{$_SERVER['PHP_SELF']}?".str_replace("MenuID=0","MenuID=899",$vars)."\">Benutzer hinzuf&uuml;gen</a></span></li>";
        else
            echo "<li><a href=\"{$_SERVER['PHP_SELF']}?".str_replace("MenuID=0","MenuID=899",$vars)."\">Benutzer hinzuf&uuml;gen</a></li>";
        if ( $myVar->selectMenuID() == 895 )
            echo "<li><span><a href=\"{$_SERVER['PHP_SELF']}?".str_replace("MenuID=0","MenuID=895",$vars)."\">Nachricht schicken</a></span></li>";
        else
            echo "<li><a href=\"{$_SERVER['PHP_SELF']}?".str_replace("MenuID=0","MenuID=895",$vars)."\">Nachricht schicken</a></li>";
        echo "</ul>";
        echo "</li>";
        echo "<li>Benutzer &amp; Filme";
        echo "<ul>";
        if ( $myVar->selectMenuID() == 897 )
            echo "<li><span><a href=\"{$_SERVER['PHP_SELF']}?".str_replace("MenuID=0","MenuID=897",$vars)."\">verliehene Filme</a></span></li>";
        else
            echo "<li><a href=\"{$_SERVER['PHP_SELF']}?".str_replace("MenuID=0","MenuID=897",$vars)."\">verliehene Filme</a></li>";

        // PASSENDES QUERY, UM ANZAHL DER AUSGELIEHENEN FILME ZU FINDEN
        $sql = "SELECT COUNT(*) AS Anz FROM $myDB->FILME_USERS fu";
        $sql .= " INNER JOIN $myDB->DISCS di ON fi.FilmID=di.FILME_FilmID ";
        $sql .= " WHERE".$myDB->sqlForPriv;
        $sql .= " AND di.USERS_UserID = {$_SESSION['UserID']} GROUP BY di.USERS_UserID";

        $sql = "SELECT COUNT(*) AS Anz FROM $myDB->FILME_USERS a INNER JOIN $myDB->USERS ON a.USERS_UserID = UserID INNER JOIN $myDB->FILME ON FILME_FilmID = FilmID AND istNeu AND LENGTH(Kommentar) ORDER BY UserName, Titel";

        $rs = $myDB->go($sql);
        $row = $myDB->getRow($rs);

// Einfgen der Reservierung                                | www.LifesHammer.de - Webmaster@LifesHammer.de
        if ( $myVar->selectMenuID() == 893 )
            echo "<li><span><a href=\"{$_SERVER['PHP_SELF']}?".str_replace("MenuID=0","MenuID=893",$vars)."\">Reservierungen</a></span></li>";
        else
            echo "<li><a href=\"{$_SERVER['PHP_SELF']}?".str_replace("MenuID=0","MenuID=893",$vars)."\">Reservierungen</a></li>";

        // PASSENDES QUERY, UM ANZAHL DER RESERVIERTEN FILME ZU FINDEN
        $sql = "SELECT COUNT(*) AS Anz FROM $myDB->FILME_USERS fu";
        $sql .= " INNER JOIN $myDB->RESERVIERUNG re ON fi.FilmID=re.FILME_FilmID ";
        $sql .= " WHERE".$myDB->sqlForPriv;
        $sql .= " AND re.USERS_UserID = {$_SESSION['UserID']} GROUP BY re.USERS_UserID";

        $sql = "SELECT COUNT(*) AS Anz FROM $myDB->FILME_USERS a INNER JOIN $myDB->USERS ON a.USERS_UserID = UserID INNER JOIN $myDB->FILME ON FILME_FilmID = FilmID AND istNeu AND LENGTH(Kommentar) ORDER BY UserName, Titel";

        $rs = $myDB->go($sql);
        $row = $myDB->getRow($rs);
// Ende: Einfgen der Reservierung                          | www.LifesHammer.de - Webmaster@LifesHammer.de

      if ( $row['Anz'] )
        {
            if ( $myVar->selectMenuID() == 896 )
                echo "<li><span><a href=\"{$_SERVER['PHP_SELF']}?".str_replace("MenuID=0","MenuID=896",$vars)."\">aktuell kommentiert</a></span></li>";
            else
                echo "<li><a href=\"{$_SERVER['PHP_SELF']}?".str_replace("MenuID=0","MenuID=896",$vars)."\">aktuell kommentiert</a></li>";
        }
        echo "</ul>";
        echo "</li>";

        if ( $_SESSION['UserID'] == 1 )
        {
            // WORKAROUND :: Falls es Probleme mit dem Anhngen der Sessionid gibt, wird sich dadurch geholfen
            if ( FALSE )
                echo "<li><a href=\"{$_SERVER['PHP_SELF']}\"></a></li>";

            if ( $myVar->selectMenuID() == 894 )
                echo "<li><span><a href=\"{$_SERVER['PHP_SELF']}?".str_replace("MenuID=0","MenuID=894",$vars)."\">Settings</a></span></li>";
            else
                echo "<li><a href=\"{$_SERVER['PHP_SELF']}?".str_replace("MenuID=0","MenuID=894",$vars)."\">Settings</a></li>";
        }
        echo "</ul>";
    }


    echo "<ul>";

    printChoice( $myDB, $myVar, "GENRES", "Name", "Genre", "Genre" );

    // Formatauswahl
    if ( $settings->showFormat || $settings->adminSeeAll && $_SESSION['UserRechte'] != 300 )
        printChoice( $myDB, $myVar, "FORMATE", "Bezeichnung", "Format", "Format" );

    // Kollektionen anzeigen
    if ( $settings->showCollect || $settings->adminSeeAll && $_SESSION['UserRechte'] != 300 )
        printChoice( $myDB, $myVar, "COLLECT", "Bezeichnung", "Collect", "Kollektion" );

    echo "</ul>";
    echo "</div>"; // untermenu
}


/*
 * Gebe Auswahlmen fr Genre, Format und Kollektion aus
 */
function printChoice( &$myDB, &$myVar, $table, $col, $var, $name ) {

    if ( $myVar->{"show".$var."Auswahl"} )
    {
        $vars = array();
        $vars["show".$var."Auswahl"] = 0;
        $vars = $myVar->getRequest($vars);

        echo "<li><a href=\"{$_SERVER['PHP_SELF']}?$vars\">".$name."wahl</a>";
        // Wenn ein Individuum ausgewhlt ist, einen Link setzen, um Auswahl zu lschen

        if ( $myVar->{$var."ID"} )
        {
            $vars = array();
            $vars[$var."ID"] = 0;
            $vars = $myVar->getRequest($vars);
            echo "<a href=\"{$_SERVER['PHP_SELF']}?$vars\"> (x)</a>";
        }

        echo "<ul>";

        $sql = "SELECT * FROM ".$myDB->{$table};
        if ( $_SESSION['UserRechte'] <= 600 )
            $sql .= " WHERE brauchtPrivileg <= ".$_SESSION[$var."Privileg"];
        $sql .= " ORDER BY $col ASC";
        $rs = $myDB->go( $sql );

        while ( $row = $myDB->getRow($rs) )
        {
            $vars = array();
            if ( ( $myVar->MenuID < 293 || $myVar->MenuID > 299 ) && $myVar->MenuID != 287 )
                $vars["MenuID"] = 299;
            $vars["show".$var."Auswahl"] = 1;
            $vars[$var."ID"] = $row[$var."ID"];
            $vars['page'] = 1;
            $vars = $myVar->getRequest($vars);

            if ( $row[$var."ID"] == $myVar->{$var."ID"} )
                echo "<li><span><a href=\"{$_SERVER['PHP_SELF']}?$vars\">{$row[$col]}</a></span></li>";
            else
                echo "<li><a href=\"{$_SERVER['PHP_SELF']}?$vars\">{$row[$col]}</a></li>";
        }

        echo "</ul>";
        echo "</li>";
    }
    else
    {
        $vars = array();
        $vars["show".$var."Auswahl"] = 1;
        $vars = $myVar->getRequest($vars);

        echo "<li><a href=\"{$_SERVER['PHP_SELF']}?$vars\">".$name."wahl</a>";
        // Wenn ein Individuum ausgewhlt ist, einen Link setzen, um Auswahl zu lschen
        if ( $myVar->{$var."ID"} )
        {
            $vars = array();
            $vars["show".$var."Auswahl"] = 0;
            $vars[$var."ID"] = 0;
            $vars = $myVar->getRequest($vars);
            echo "<a href=\"{$_SERVER['PHP_SELF']}?$vars\"> (x)</a>";
        }
        echo "</li>";
    }
}

/*
 * Den Kopf der Seite ausgeben. Enthlt berschrift und Mainmenu
 */
function printTopLogin( &$myVar, &$settings ) {

    // Hauptmenu

    if ( strlen($settings->MenuLinkAdresse) )
    {
        echo "<div id=\"mainmenu\">";
        echo "<a href=\"$settings->MenuLinkAdresse\">";
        if ( strlen($settings->MenuLinkName) )
            echo $settings->MenuLinkName;
        else
            echo str_replace( "http://", "", $settings->MenuLinkAdresse );
        echo "</a>";
        echo "</div>";

    }



    echo "<div id=\"top\">".getMenuName( $myVar )."</div>" ;
}


/*
 * Das Untermenu ausgeben!
 */
function printUntermenuLogin( &$myDB, &$myVar, &$settings ) {

    $vars = array();
    $vars['MenuID'] = 0;
    $vars['FilmID'] = 0;
    $vars = $myVar->getRequest($vars);

    echo "<div id=\"untermenu\">";

    // Benutzermenu
    echo "<ul>";

    if ( $myVar->MenuID == 1 )
        echo "<li><span><a href=\"{$_SERVER['PHP_SELF']}?".str_replace("MenuID=0","MenuID=1",$vars)."\">Loginseite</a></span></li>";
    else
        echo "<li><a href=\"{$_SERVER['PHP_SELF']}?".str_replace("MenuID=0","MenuID=1",$vars)."\">Loginseite</a></li>";

    if ( $myVar->MenuID == 2 )
        echo "<li><span><a href=\"{$_SERVER['PHP_SELF']}?".str_replace("MenuID=0","MenuID=2",$vars)."\">Passwort vergessen?</a></span></li>";
    else
        echo "<li><a href=\"{$_SERVER['PHP_SELF']}?".str_replace("MenuID=0","MenuID=2",$vars)."\">Passwort vergessen?</a></li>";

    if ( $settings->autoLogin )
        echo "<li><a href=\"{$_SERVER['PHP_SELF']}".str_replace("MenuID=0","",$vars)."\">automatisches Login</a></li>";

    echo "</ul>";
    echo "</div>"; // untermenu
}


/*
 * die Navileiste zum Blttern der Seiten
 */
function printNavi( &$myVar ) {

    $nextPage = $myVar->page + 1;
    $prevPage = $myVar->page - 1;

    $var = array();
    $var['MenuID'] = 890;
    $var = $myVar->getRequest($var);

    echo "<ul>";

    if ( $myVar->page != 1 )
    {
	    $var = array();
	    $var['page'] = 1;
	    $var = $myVar->getRequest($var);
        echo "<li><a href=\"{$_SERVER['PHP_SELF']}?$var\" title=\"Seite 1\">&lt;&lt;</a></li>";

	    $var = array();
	    $var['page'] = $prevPage;
	    $var = $myVar->getRequest($var);
        echo "<li><a href=\"{$_SERVER['PHP_SELF']}?$var\" title=\"Seite $prevPage\">&nbsp;&lt;&nbsp;</a></li>";
    }
    else
    {
        echo "<li><span>&lt;&lt;</span></li>";
        echo "<li><span>&nbsp;&lt;&nbsp;</span></li>";
    }

    echo "<li>$myVar->page</li>";

    if ( $myVar->page != $myVar->anzPages )
    {
	    $var = array();
	    $var['page'] = $nextPage;
	    $var = $myVar->getRequest($var);
        echo "<li><a href=\"{$_SERVER['PHP_SELF']}?$var\" title=\"Seite $nextPage\">&nbsp;&gt;&nbsp;</a></li>";

	    $var = array();
	    $var['page'] = $myVar->anzPages;
	    $var = $myVar->getRequest($var);
        echo "<li><a href=\"{$_SERVER['PHP_SELF']}?$var\" title=\"Seite $myVar->anzPages\">&gt;&gt;</a></li>";
    }
    else
    {
        echo "<li><span>&nbsp;&gt;&nbsp;</span></li>";
        echo "<li><span>&gt;&gt;</span></li>";
    }

    echo "</ul>";
}


/*
 * alle Anfangsbuchstaben ausgeben
 */
function printLetters( &$myVar, &$myDB ) {

    // falls !MySQL_Ver ist das LetterArray nicht berechnet
    if ( !$myDB->MySQL_Ver )
        $myVar->LetterArray = array( '@','a','b','c','d','e','f','g','h','i','j','k','l','m','n','o','p','q','r','s','t','u','v','w','x','y','z' );

    echo "<div style=\"float:right\">";

    $var = array();
    $var['Letter'] = "";
    $var = $myVar->getRequest($var);

    if ( $myVar->Letter == '' )
        echo "<a style=\"font-weight:bold\" href=\"{$_SERVER['PHP_SELF']}?$var\">alle</a>";
    else
        echo "<a href=\"{$_SERVER['PHP_SELF']}?$var\">alle</a>";

    for ( $i=0; $i<count($myVar->LetterArray); ++$i )
    {
	    $var = array();
	    $var['Letter'] = $myVar->LetterArray[$i];
	    $var = $myVar->getRequest($var);

        if ( $myVar->Letter == $myVar->LetterArray[$i] )
            echo "<a style=\"font-weight:bold\" href=\"{$_SERVER['PHP_SELF']}?$var\">".strtoupper( $myVar->LetterArray[$i] )."</a>";
        else
            echo "<a href=\"{$_SERVER['PHP_SELF']}?$var\">".strtoupper( $myVar->LetterArray[$i] )."</a>";
    }

    echo "</div>";
}


/*
 * Infoausgabe zur Auswahl von Genre, Format oder Kollektion
 */
function printInfoAuswahl( &$myVar, &$myDB ) {

    echo "<p>";
    switch ( $myVar->anzIndividuen )
    {
        case 0: echo "keine Filme vorhanden"; break;
        case 1: echo "ein Film vorhanden"; break;
        default: echo $myVar->anzIndividuen." Filme vorhanden";
    }
    echo "</p>";

    $auswahl = array();
    if ( $string = getGenre( $myDB, $myVar->GenreID ) )
        $auswahl[] = $string;
    if ( $string = getFormat( $myDB, $myVar->FormatID ) )
        $auswahl[] = $string;
    if ( $string = getCollect( $myDB, $myVar->CollectID ) )
        $auswahl[] = $string;

    $string = "";
    if ( count($auswahl) )
    {
        for ( $i=0; $i<count($auswahl); ++$i )
            $string .= " // ".$auswahl[$i];

        echo "<p><strong style=\"font-weight:bold\">Auswahl:</strong> ".substr( $string, 3 )."</p>";
    }
}


/*
 * Infoausgabe zur Suche
 */
function printInfoSuche( &$myVar, &$myDB ) {

    echo "<p><strong style=\"font-weight: bold;\">Suche:</strong> ";

    switch ( $myVar->searchIn )
    {
        case "Actors": {
            switch( $myVar->anzIndividuen )
            {
                case 0: echo "keine Schauspieler f&uuml;r <strong>".htmlentities($myVar->searchFor)."</strong>";
                        break;
                case 1: echo "ein Schauspieler f&uuml;r <strong>".htmlentities($myVar->searchFor)."</strong>";
                        break;
                default: echo "$myVar->anzIndividuen Schauspieler f&uuml;r <strong>".htmlentities($myVar->searchFor)."</strong>";
            }
            break;
        }
        case "Regisseure": {
            switch( $myVar->anzIndividuen )
            {
                case 0: echo "keine Regisseure f&uuml;r <strong>".htmlentities($myVar->searchFor)."</strong>";
                        break;
                case 1: echo "ein Regisseur f&uuml;r <strong>".htmlentities($myVar->searchFor)."</strong>";
                        break;
                default: echo "$myVar->anzIndividuen Regisseure f&uuml;r <strong>".htmlentities($myVar->searchFor)."</strong>";
            }
            break;
        }
        case "FilmID": {
            switch( $myVar->anzIndividuen )
            {
                case 0: echo "keine Filme f&uuml;r die FilmID <strong>".htmlentities($myVar->searchFor)."</strong>";
                        break;
                case 1: echo "ein Film f&uuml;r die FilmID <strong>".htmlentities($myVar->searchFor)."</strong>";
                        break;
                default: echo "$myVar->anzIndividuen Filme f&uuml;r die FilmID <strong>".htmlentities($myVar->searchFor)."</strong>";
            }
            break;
        }
        default: {
            switch( $myVar->anzIndividuen )
            {
                case 0: echo "keine Filme f&uuml;r den Titel <strong>".htmlentities($myVar->searchFor)."</strong>";
                        break;
                case 1: echo "ein Film f&uuml;r den Titel <strong>".htmlentities($myVar->searchFor)."</strong>";
                        break;
                default: echo "$myVar->anzIndividuen Filme f&uuml;r den Titel <strong>".htmlentities($myVar->searchFor)."</strong>";
            }
        }
    }

    $vars = array();
    $vars['MenuID'] = 290;
    //$vars['searchIn'] = "";
    //$vars['searchFor'] = "";
    $vars = $myVar->getRequest($vars);

    echo "<span style=\"margin-left:0.5em;font-size:0.9em\"><a href=\"{$_SERVER['PHP_SELF']}?$vars"."formular="."\">(Suchformular)</a></span>";

    echo "</p>";
}


/*
 * Infoausgabe von Filmen mit Actor oder von Schauspieler
 */
function printInfoActReg( &$myVar, &$myDB ) {

    echo "<p>";

    if ( isset($_REQUEST['ActorID']) )
    {
        $sql = "SELECT * FROM $myDB->ACTORS WHERE ActorID = {$_REQUEST['ActorID']}";
        $rs = $myDB->go($sql);
        $row = $myDB->getRow($rs);

        switch( $myVar->anzIndividuen )
        {
            case 0: echo "keine Filme mit <strong>{$row['Name']}</strong> als Schauspieler";
                    break;
            case 1: echo "ein Film mit <strong>{$row['Name']}</strong> als Schauspieler";
                    break;
            default: echo "$myVar->anzIndividuen Filme mit <strong>{$row['Name']}</strong> als Schauspieler";
        }

        // Schauen, ob dieser Schauspieler auch als Regisseur ttig ist
        $sql2 = "SELECT COUNT(*) AS Anz, RegisseurID FROM $myDB->FILME_REGISSEURE INNER JOIN $myDB->REGISSEURE ON REGISSEURE_RegisseurID=RegisseurID WHERE Name=\"{$row['Name']}\" GROUP BY RegisseurID";
        $rs2 = $myDB->go($sql2);
        $row2 = $myDB->getRow($rs2);
        switch( $row2['Anz'] )
        {
            case 0: break;
            case 1: echo "&nbsp;&nbsp;<a href=\"{$_SERVER['PHP_SELF']}?MenuID=290&amp;RegisseurID={$row2['RegisseurID']}\">(ein Film als Regisseur)</a>"; break;
            default : echo "&nbsp;&nbsp;<a href=\"{$_SERVER['PHP_SELF']}?MenuID=290&amp;RegisseurID={$row2['RegisseurID']}\">({$row2['Anz']} Filme als Regisseur)</a>";
        }
    }
    else
    {
        $sql = "SELECT * FROM $myDB->REGISSEURE WHERE RegisseurID = {$_REQUEST['RegisseurID']}";
        $rs = $myDB->go($sql);
        $row = $myDB->getRow($rs);

        switch( $myVar->anzIndividuen )
        {
            case 0: echo "keine Filme von <strong>{$row['Name']}</strong> als Regisseur";
                    break;
            case 1: echo "ein Film von <strong>{$row['Name']}</strong> als Regisseur";
                    break;
            default: echo "$myVar->anzIndividuen Filme von <strong>{$row['Name']}</strong> als Regisseur";
        }

        // Schauen, ob dieser Schauspieler auch als Regisseur ttig ist
        $sql2 = "SELECT COUNT(*) AS Anz, ActorID FROM $myDB->FILME_ACTORS INNER JOIN $myDB->ACTORS ON ACTORS_ActorID=ActorID WHERE Name=\"{$row['Name']}\" GROUP BY ActorID";
        $rs2 = $myDB->go($sql2);
        $row2 = $myDB->getRow($rs2);
        switch( $row2['Anz'] )
        {
            case 0: break;
            case 1: echo "&nbsp;&nbsp;<a href=\"{$_SERVER['PHP_SELF']}?MenuID=290&amp;ActorID={$row2['ActorID']}\">(ein Film als Schauspieler)</a>"; break;
            default : echo "&nbsp;&nbsp;<a href=\"{$_SERVER['PHP_SELF']}?MenuID=290&amp;ActorID={$row2['ActorID']}\">({$row2['Anz']} Filme als Schauspieler)</a>";
        }
    }

    echo "</p>";

}


/*
 * Infoausgabe von Filmen mit Actor oder von Schauspieler
 */
function printInfoUsers( &$myVar, &$myDB ) {

    echo "<p>";

    switch( $myVar->anzIndividuen )
    {
        case 0: echo "keine Benutzer vorhanden";
                break;
        case 1: echo "ein Benutzer vorhanden";
                break;
        default: echo "$myVar->anzIndividuen Benutzer vorhanden";
    }
    echo "</p>";
}


/*
 * Footline
 *
 * Input:   %
 */

/*
 * COPYRIGHT-HINWEISE DRFEN NICHT VERNDERT WERDEN!
 * LINKS AUF WWW.DER-DOMI.DE MSSEN BESTEHEN BLEIBEN!
 */
function printFootline( &$settings ) {
    echo "<div id=\"fusszeile\">";
    echo "<p>&copy;2005-2007 Dominik Erdmann - <a href=\"http://www.der-domi.de\">www.der-domi.de</a> $settings->footlineAddOn</p>";
    echo "</div>";
}


/*
 * Gibt den Menutitel zurck
 */
function getMenuName ( &$myVar ) {

    switch ( $myVar->MenuID )
    {
        case 899: {
            if ( $myVar->printChange == TRUE )
                $menu = "Benutzer &auml;ndern";
            else
                $menu = "Benutzer hinzuf&uuml;gen";
            break;
        }
        case 898: $menu = "alle Benutzer"; break;
        case 897: $menu = "verliehene Filme"; break;
        case 896: $menu = "neue Kommentare"; break;
        case 895: $menu = "Nachricht schicken"; break;
        case 894: $menu = "Settings"; break;

// Einfgen der Reservierung                                | www.LifesHammer.de - Webmaster@LifesHammer.de
        case 893: $menu = "Reservierung"; break;
// Ende: Einfgen der Reservierung                          | www.LifesHammer.de - Webmaster@LifesHammer.de

        case 890: $menu = "Benutzer l&ouml;schen"; break;
        case 598: {
            if ( $myVar->printChange == TRUE )
                $menu = "Film &auml;ndern";
            else
                $menu = "Film hinzuf&uuml;gen";
            break;
        }
        case 597: $menu = "Genres bearbeiten"; break;
        case 596: $menu = "Datenbank aufr&auml;men"; break;
        case 595: $menu = "Film l&ouml;schen"; break;
        case 594: $menu = "Formate bearbeiten"; break;
        case 593: $menu = "Kollektionen bearbeiten"; break;
        case 592: $menu = "Cover l&ouml;schen"; break;
        case 591: $menu = "Diskverwaltung"; break;

// Einfgen von Tondetails                                  | www.LifesHammer.de - Webmaster@LifesHammer.de
        case 590: $menu = "Tonformate bearbeiten"; break;
// Ende: Einfgen von Tondetails                            | www.LifesHammer.de - Webmaster@LifesHammer.de

        case 299: $menu = "alle Filme"; break;
        case 298: $menu = "ungesehene Filme"; break;
        case 297: $menu = "gesehene Filme"; break;
        case 296: $menu = "ausgeliehene Filme"; break;
        case 295: $menu = "Pers&ouml;nliche Einstellungen"; break;

// Einfgen der Reservierung                                | www.LifesHammer.de - Webmaster@LifesHammer.de
        case 294: $menu = "reservierte Filme"; break;
// Ende: Einfgen der Reservierung                          | www.LifesHammer.de - Webmaster@LifesHammer.de

        case 293: $menu = "Export"; break;
        case 292: $menu = "Statistik"; break;
        case 291: $menu = "Kommentar einf&uuml;gen"; break;
        case 290: $menu = "Suche"; break;
        case 289: $menu = "Cover"; break;
        case 288: $menu = "Informationen"; break;
        case 287: $menu = "Startseite"; break;
        case 280: $menu = "Film anzeigen"; break;

        case 1: $menu = "Filmverwaltung :: Login"; break;
        case 2: $menu = "Passwort vergessen?"; break;
        case 3: $menu = "Passwort &auml;ndern"; break;

        default: $menu = "Installationsskript";
    }
    return $menu;
}






?>
